ALLOW_PULLS_WITHOUT_STRICT_LOGGING: true
AUTHENTICATION_TYPE: LDAP
AVATAR_KIND: local
BITTORRENT_FILENAME_PEPPER: c160b221-99b7-4299-a5a0-74b5effce33b
BUILDLOGS_REDIS:
  host: registry.ocp.example.com
  password: *******
  port: 6379
DATABASE_SECRET_KEY: <redacted>
DB_CONNECTION_ARGS:
    autorollback: true
    threadlocals: true
    max_connections: 10
DB_URI: postgresql://quayuser:*******@registry.ocp.example.com/quaydb
DEFAULT_TAG_EXPIRATION: 2w
DISTRIBUTED_STORAGE_CONFIG:
  default:
  - LocalStorage
  - storage_path: /datastorage/registry
#  freenas:
#  - RadosGWStorage
#  - access_key: <redacted>
#    secret_key: <redacted>
#    bucket_name: quay-images
#    hostname: freeenas.example.com
#    is_secure: 'true'
#    port: '9000'
#    storage_path: /quay-images/
DISTRIBUTED_STORAGE_DEFAULT_LOCATIONS:
- default
DISTRIBUTED_STORAGE_PREFERENCE:
- default
#- freenas
ENTERPRISE_LOGO_URL: /static/img/quay-horizontal-color.svg
FEATURE_ACI_CONVERSION: false
FEATURE_ANONYMOUS_ACCESS: true
FEATURE_APP_REGISTRY: true
FEATURE_APP_SPECIFIC_TOKENS: true
FEATURE_BITBUCKET_BUILD: false
FEATURE_BLACKLISTED_EMAILS: false
FEATURE_BUILD_SUPPORT: false
FEATURE_CHANGE_TAG_EXPIRATION: true
FEATURE_DIRECT_LOGIN: true
FEATURE_GENERAL_OCI_SUPPORT: true
FEATURE_GITHUB_BUILD: false
FEATURE_GITHUB_LOGIN: false
FEATURE_GITLAB_BUILD: false
FEATURE_GOOGLE_LOGIN: false
FEATURE_INVITE_ONLY_USER_CREATION: false
FEATURE_MAILING: true
FEATURE_NONSUPERUSER_TEAM_SYNCING_SETUP: false
FEATURE_PARTIAL_USER_AUTOCOMPLETE: true
FEATURE_PROXY_STORAGE: false
FEATURE_REPO_MIRROR: true
FEATURE_REQUIRE_TEAM_INVITE: true
FEATURE_RESTRICTED_V1_PUSH: true
FEATURE_SECURITY_NOTIFICATIONS: false
FEATURE_SECURITY_SCANNER: true
FEATURE_SIGNING: false
FEATURE_STORAGE_REPLICATION: false
FEATURE_TEAM_SYNCING: true
FEATURE_USER_CREATION: true
FEATURE_USER_LAST_ACCESSED: true
FEATURE_USER_LOG_ACCESS: true
FEATURE_USER_METADATA: false
FEATURE_USER_RENAME: false
FEATURE_USERNAME_CONFIRMATION: true
FRESH_LOGIN_TIMEOUT: 60m
GITHUB_LOGIN_CONFIG: {}
GITHUB_TRIGGER_CONFIG: {}
GITLAB_TRIGGER_KIND: {}
GPG2_PRIVATE_KEY_FILENAME: signing-private.gpg
GPG2_PUBLIC_KEY_FILENAME: signing-public.gpg
LDAP_ADMIN_DN: uid=openshift_proxy,cn=users,cn=accounts,dc=bleischwitz,dc=org
LDAP_ADMIN_PASSWD: <redacted>
LDAP_BASE_DN:
- dc=example
- dc=com
LDAP_EMAIL_ATTR: mail
LDAP_UID_ATTR: uid
LDAP_URI: ldap://idm.example.com
LDAP_USER_RDN:
- cn=users
- cn=accounts
LOG_ARCHIVE_LOCATION: default
LOGS_MODEL: database
LOGS_MODEL_CONFIG: {}
MAIL_DEFAULT_SENDER: registry@ocp.example.com
MAIL_PORT: 25
MAIL_SERVER: mail.example.com
MAIL_USE_AUTH: false
MAIL_USE_TLS: true
PREFERRED_URL_SCHEME: https
QUAY_LOGIN_CONFIG:
    CLIENT_ID: quay
    CLIENT_SECRET: <redacted>
    LOGIN_BINDING_FIELD: username
    OIDC_SERVER: https://sso.example.com/auth/realms/OpenShift/
    SERVICE_NAME: SSO
    DEBUGGING: false
REGISTRY_TITLE: Red Hat Quay
REGISTRY_TITLE_SHORT: Red Hat Quay
REPO_MIRROR_INTERVAL: 30
REPO_MIRROR_SERVER_HOSTNAME: null
REPO_MIRROR_TLS_VERIFY: true
SEARCH_MAX_RESULT_PAGE_COUNT: 10
SEARCH_RESULTS_PER_PAGE: 10
SECRET_KEY: <redacted>
SECURITY_SCANNER_INDEXING_INTERVAL: 180
SECURITY_SCANNER_ISSUER_NAME: security_scanner
SECURITY_SCANNER_V4_ENDPOINT: http://registry.ocp.example.com:8081
SECURITY_SCANNER_V4_PSK: <redacted, same as clairs auth.psk.key>
SERVER_HOSTNAME: registry.ocp.example.com
SETUP_COMPLETE: true
SIGNING_ENGINE: gpg2
SUPER_USERS:
- quayadmin
TAG_EXPIRATION_OPTIONS:
- 0s
- 1d
- 1w
- 2w
- 4w
TEAM_RESYNC_STALE_TIME: 60m
TESTING: false
USE_CDN: false
USER_EVENTS_REDIS:
  host: registry.ocp.example.com
  password: <redacted>
  port: 6379
USERFILES_LOCATION: default
USERFILES_PATH: userfiles/
V3_UPGRADE_MODE: complete
